aboutsummaryrefslogtreecommitdiff
path: root/your_server.sh
diff options
context:
space:
mode:
authorcodecrafters-bot <hello@codecrafters.io>2024-06-02 19:01:13 +0000
committercodecrafters-bot <hello@codecrafters.io>2024-06-02 19:01:13 +0000
commita8b4c90518bbb7e45026e0fca13e2f2f97f2c728 (patch)
treebc9eea631ddbd4cbcc7c1d331b78e4993f975089 /your_server.sh
downloaddns-server-go-a8b4c90518bbb7e45026e0fca13e2f2f97f2c728.tar.gz
dns-server-go-a8b4c90518bbb7e45026e0fca13e2f2f97f2c728.zip
init [skip ci]
Diffstat (limited to 'your_server.sh')
-rwxr-xr-xyour_server.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/your_server.sh b/your_server.sh
new file mode 100755
index 0000000..9f7a730
--- /dev/null
+++ b/your_server.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# DON'T EDIT THIS!
+#
+# CodeCrafters uses this file to test your code. Don't make any changes here!
+#
+# DON'T EDIT THIS!
+set -e
+
+tmpFile=$(mktemp)
+
+( cd $(dirname "$0") &&
+ go build -o "$tmpFile" app/*.go )
+
+exec "$tmpFile" "$@"